Arch Remove/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Programación==")
(Created page with "La herramientas Eliminar se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:")
Line 19: Line 19:
==Programación==
==Programación==


La herramientas Eliminar se puede utilizar en [[macros/es|macros]] y desde la consola de Python mediante la utilización de las siguientes funciones:
The Remove tool can by used in [[macros]] and from the python console by using the following function:
'''removeComponents (objectsList,[hostObject])'''
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Revision as of 16:45, 29 November 2013

Arch Remove

Ubicación en el Menú
Arquitectura -> Sustraer
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Añadir

Descripción

La herramienta Sustraer te permite hacer dos tipos de operaciones:

  • Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de Añadir
  • Restar un objeto basado en formas de un objeto de Arquitectura como un muro o estructura

En la imagen superior, un cubo es sustraído de un muro

Utilización

  1. Selecciona un subcomponente de un objeto de Arquitectura, o:
  2. Selecciona objeto(s) a ser sustraídos, y luego el componente de Arquitectura del cual se desean sustraer (el componente de Arquitectura debe ser el último que selecciones)
  3. Presiona el botón Sustraer

Programación

La herramientas Eliminar se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)